Subject: Re: [clue] short WGLC on draft-ietf-clue-framework-20 - Paul

From: "Duckworth, Mark" <[email-masked]>
Date: Thu, 12 Feb 2015 06:33:11 -0800

Thanks Paul.
My comments inline.
Mark

> -----Original Message-----
> From: clue [mailto:[email-masked]] On Behalf Of Paul Kyzivat
> Sent: Thursday, February 05, 2015 12:19 PM
> To: [email-masked]
> Subject: Re: [clue] short WGLC on draft-ietf-clue-framework-20
> 
> I have just a few minor comments on this version:
> 
> Section 7.1.1.4:
> 
>     The capture point of a static Capture MUST NOT move for the life of
>     the conference.
> 
> I don't think "conference" is the right word here. (The session might
> not be a conference.) Perhaps "CLUE session" would work, though it is
> not a defined term.
[Duckworth, Mark] I think "conference" is fine.  Or how about simply "The capture point of a static Capture MUST NOT change."

> Section 7.1.1.11:
> 
> Again "conference is used where it might not be the right word. There
> could be only two endpoints in the call, even if there are several
> people at each end. And it is *possible* that there might be a Minute
> Taker even if there were only two people in the call. So again perhaps
> "session" or "CLUE session" would be better.
[Duckworth, Mark] What's wrong with "conference"?  I think a conference could have only two endpoints, or only two people.  One of the definitions from Merriam-webster: "a meeting of two or more persons for discussing matters of common concern."

> Section 7.2:
> 
>     The MCC indicates that one or more Single Media Captures are
>     multiplexed (temporally and/or spatially) in one Media Capture.
> 
> The "temporally and/or spatially" works for video. Is that right for
> audio? I guess "temporally" still applies, but does "spatially"? Maybe
> it could if you have a stereo audio capture. But if you just mix the few
> loudest speakers, what do you call that?
> 
> I don't have a suggestion about how to improve this. Does someone have a
> suggestion? If not then this may be as good as we can do.
[Duckworth, Mark] I think it is fine the way it is.  Yes, multi-channel audio is spatial.  Maybe this is a little better: "The MCC indicates that one or more Single Media Captures are multiplexed (temporally and/or spatially) or mixed in one Media Capture."  Adding "mixed" covers that common audio case.

> 	Thanks,
> 	Paul
> 
> On 1/23/15 4:20 AM, Roni Even wrote:
> > Hi,
> >
> > There were good reviews during the WGLC on the framework document.
> >
> > Mark updated the document to include all the issues that were discussed
> > in http://tools.ietf.org/html/draft-ietf-clue-framework-20
> >
> > In order to verify that all concerns were addressed we will have a short
> > WGLC till *February 4^th * and in there are no more open issues we will
> > send the document to publication.
> >
> > Mark noted the following changes from 19 to 20:
> >
> >       1. Define term "CLUE" in introduction.
> >
> >       2. Add MCC attribute Allow Subset Choice.
> >
> >       3. Remove phrase about reducing SDP size, replace with
> >
> >          potentially saving consumer resources.
> >
> >       4. Change example of a CLUE exchange that does not require SDP
> >
> >          exchange.
> >
> >       5. Language attribute uses RFC5646.
> >
> >       6. Change Member person type to Attendee.  Add Observer type.
> >
> >       7. Clarify DTLS/SRTP MUST be supported.
> >
> >       8. Change SHOULD NOT to MUST NOT regarding using xCard or
> >
> >          description information for authorization decisions.
> >
> >       9. Clarify definition of Global View.
> >
> >       10. Refer to signaling doc regarding interoperating with a
> >
> >          device that does not support CLUE.
> >
> >       11. Various minor editorial changes from working group last call
> >
> >          feedback.
> >
> >       12. Capitalize defined terms.
> >
> > Thanks
> >
> > Roni Even
> >
> > CLUE co-chair
> >
> >
> >
> > _______________________________________________
> > clue mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/clue
> >
> 
> _______________________________________________
> clue mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/clue

---

From: Paul Kyzivat <[email-masked]>
Date: Thu, 12 Feb 2015 12:03:01 -0500

> [Duckworth, Mark] I think "conference" is fine.  Or how about simply "The capture point of a static Capture MUST NOT change."

Your last suggestion above doesn't work for me, because it doesn't 
indicate any bound on how long this must remain unchanged.

I don't think "conference" works here because we have a specific 
definition of conference and this applies to clue sessions that aren't 
conferences according to that definition.

I still think that replacing "conference" with "CLUE telepresence 
session" or just "telepresence session" would be appropriate. Those 
terms are used extensively in the protocol doc and mean the right thing, 
even though there is no formal definition of it. Perhaps we should add one.

> [Duckworth, Mark] What's wrong with "conference"?  I think a conference could have only two endpoints, or only two people.  One of the definitions from Merriam-webster: "a meeting of two or more pe…

See above.

> [Duckworth, Mark] I think it is fine the way it is.  Yes, multi-channel audio is spatial.  Maybe this is a little better: "The MCC indicates that one or more Single Media Captures are multiplexed (…

Your suggestion works for me.

	Thanks,
	Paul